/* Base style resets */
[data-rsbs-overlay] {
    z-index: 9999999999999999 !important;
    background: unset !important;
    bottom: -28px !important;
}
[data-rsbs-header] {
    opacity: 0 !important;
    position: absolute !important;
    width: 90% !important;
    top: 0px !important;
    left: 0px !important;
    z-index: 9 !important;
}

/* Filters styles */
.map-filters {
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    z-index: 999999999;
    height: 47px;
    padding-left: 20px;
}

.map-filters-mobile {
    overflow-x: scroll;
}

.map-filters img {
    /* height: 100%; */
    width: 16px;
}
.map-button-filter-container {
    position: relative;
    margin-right: 20px;
    display: flex;
    align-items: center;
}
.ss-map-filter-drawer-bg {
    width: 100%;
    background-color: rgba(255, 255, 255, 0.04);
    -webkit-backdrop-filter: blur(40px);
    backdrop-filter: blur(40px);
    overflow: hidden;
    position: relative;
    z-index: 2;
    border-radius: 12px 12px 0px 0px;
}
/* Price Filter */
.price-filter-popup-mobile {
    padding: 48px 32px 16px 32px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-family: 'Montserrat', sans-serif !important;
}

.price-filter-input-container {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.price-filter-input-container-width {
    width: 295px;
}

.price-filter-input-wrapper {
    display: flex;
    align-items: center;
    height: 44px;
    border: 1px solid rgba(255, 255, 255, 0.28);
    border-radius: 6px;
    color: white;
    max-width: 135px;
    padding: 12px;
}
.price-filter-input-wrapper-error {
    display: flex;
    align-items: center;
    height: 44px;
    border: 1px solid rgb(231, 67, 67);
    border-radius: 6px;
    color: white;
    max-width: 135px;
    padding: 12px;
}

.price-filter-input {
    font-size: 15px !important;
    font-weight: 700;
    background: transparent;
    outline: none;
    border: none;
    color: white;
    font-family: 'Montserrat';
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    padding: 0px;
    margin: 0px !important;
    font-family: 'Montserrat', sans-serif !important;
    background-color: transparent !important;
    border-color: transparent !important;
}

.price-filter-input-wrapper:focus-within {
    border: 1px solid #ffffff !important;
}
.price-filter-separator {
    width: 12px;
    border: 1px solid #ffffff;
}

.price-filter-cta {
    margin-top: 32px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-weight: 700;
    font-size: 12px;
    line-height: 20px;
    color: #fff;
    width: 100%;
}

.price-filter-cta-reset {
    color: rgba(255, 255, 255, 0.7);
    cursor: pointer;
}
.price-filter-cta-apply {
    width: 90px;
    height: 44px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #000;
    box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.15);
    border-radius: 6px;
    cursor: pointer;
    text-transform: uppercase;
}
.price-filter-input-clearbtn {
    width: 16px;
    height: 16px;
    outline: none !important;
    font-family: 'Montserrat', sans-serif;
    background-color: transparent;
    border: none;
    cursor: pointer;
    margin: 0 8px;
}

.price-filter-input-clearbtn img {
    width: 16px;
    height: 16px;
    vertical-align: unset !important;
    max-width: unset !important;
}

/* Rent Filter */
.map-filters-rent-mobile {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-family: 'Montserrat';
    padding: 32px;
    padding-top: 42px;
}

.rent-filter-select {
    font-weight: 700;
    font-size: 15px;
    border: none;
    background-color: transparent;
    color: white;
    cursor: pointer;
    outline: none !important;
    font-family: 'Montserrat', sans-serif;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
    padding: 17px 0px;
    width: 136px;
    box-sizing: border-box;
}
.map-filters-rent-mobile .rent-filter-select {
    width: 100%;
}
.map-filters-rent-mobile .rent-filter-select img {
    width: 24px;
    height: 24px;
    border-radius: 100%;
    border: 1px solid #fff;
    background: #fff;
    object-fit: cover;
}
.map-filters-rent-mobile .rent-filter-select .map-filters-noselect {
    width: 24px;
    height: 24px;
    background: transparent;
    border-radius: 100%;
    border: 1px solid rgba(255, 255, 255, 0.64);
}

.map-filters-rent-mobile .rent-filter-select:first-child {
    padding-top: 0px;
}

.map-filters-rent-mobile .rent-filter-select:nth-child(3) {
    border-bottom: none;
}

.map-filters-cta {
    margin-top: 20px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.map-filters-cta-reset {
    border: none;
    background: transparent;
    color: rgba(255, 255, 255, 0.7);
    cursor: pointer;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 12px;
    outline: none !important;
    font-family: 'Montserrat', sans-serif;
}
.map-filters-cta-apply {
    border: none;
    padding: 15px 25px;
    border-radius: 6px;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 12px;
    outline: none !important;
    background: black !important;
    text-align: center;
    font-family: 'Montserrat', sans-serif;
    color: #fff;
    text-transform: uppercase;
}

/* Size Filter */
.map-filters-size-mobile {
    padding: 48px 32px 16px 32px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-family: 'Montserrat', sans-serif !important;
}

.map-filter-size-input-container {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.map-filter-size-input-container-width {
    width: 295px;
}
.map-filter-size-input-wrapper {
    display: flex;
    align-items: center;
    height: 44px;
    border: 1px solid rgba(255, 255, 255, 0.28);
    border-radius: 6px;
    color: white;
    max-width: 135px;
    padding: 12px;
}
.map-filter-size-input-wrapper:focus-within {
    border: 1px solid #ffffff !important;
}
.map-filter-size-input-wrapper-error {
    display: flex;
    align-items: center;
    height: 44px;
    border: 1px solid rgb(231, 67, 67);
    border-radius: 6px;
    color: white;
    max-width: 135px;
    padding: 12px;
}

.size-unit {
    font-weight: 700;
    font-size: 15px;
    line-height: 20px;
    color: rgba(255, 255, 255, 0.72);
}

.map-filter-size-input {
    font-size: 15px;
    font-weight: 700;
    background: transparent;
    outline: none;
    border: none;
    color: white;
    font-family: 'Montserrat';
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    padding: 0px;
    margin: 0px !important;
    font-family: 'Montserrat', sans-serif !important;
    background-color: transparent !important;
    border-color: transparent !important;
}
.map-filter-size-input,
.map-filter-size-input::-webkit-input-placeholder {
    font-size: 15px !important;
    font-weight: 700 !important;
}
.map-filter-size-separator {
    width: 12px;
    border: 1px solid #ffffff;
}
.map-filter-size-clear {
    width: 16px;
    height: 16px;
    outline: none !important;
    font-family: 'Montserrat', sans-serif;
    background-color: transparent;
    border: none;
    cursor: pointer;
    margin: 0 8px;
}
.map-filter-size-clear img {
    width: 16px;
    height: 16px;
    vertical-align: unset !important;
    max-width: unset !important;
}

.room-size-filter-cta {
    margin-top: 32px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-weight: 700;
    font-size: 12px;
    line-height: 20px;
    color: #fff;
    width: 100%;
}

.room-size-filter-reset-cta {
    color: rgba(255, 255, 255, 0.7);
    cursor: pointer;
}
.room-size-filter-apply-cta {
    width: 90px;
    height: 44px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #000;
    box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.15);
    border-radius: 6px;
    cursor: pointer;
    text-transform: uppercase;
}

/* Room filters */
.map-filters-rooms-mobile {
    padding: 46px 32px 16px 32px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-family: 'Montserrat', sans-serif !important;
}
.room-count-filter {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-weight: 600;
    font-size: 14px;
    line-height: 120%;
    color: #fff;
    margin-bottom: 20px;
}

.room-count-control {
    display: flex;
    justify-content: space-between;
    align-items: center;
    column-gap: 15px;
    width: 116px;
}
.room-count-filter-web {
    width: 232px;
}
.room-count-cta {
    width: 28px;
    height: 28px;
    border: 1px solid rgba(255, 255, 255, 0.72);
    box-sizing: border-box;
    border-radius: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    font-weight: normal;
    line-height: 20px;
    cursor: pointer;
}

.room-counts {
    display: flex;
    align-items: center;
    justify-content: center;
}

.room-filter-cta {
    margin-top: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-weight: 700;
    font-size: 12px;
    line-height: 20px;
    color: #fff;
    width: 100%;
}

.room-filter-reset-cta {
    color: rgba(255, 255, 255, 0.7);
}
.room-filter-apply-cta {
    width: 90px;
    height: 44px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #000;
    box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.15);
    border-radius: 6px;
    cursor: pointer;
    text-transform: uppercase;
}

/* Contact Overlay */
.ss-contact-overlay-cont-bottom-sheet {
    padding: 30px;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.04);
    -webkit-backdrop-filter: blur(40px);
    backdrop-filter: blur(40px);
    overflow: hidden;
    position: relative;
    z-index: 2;
}

.ss-contact-overlay-items-drawer-icon {
    height: 6px;
    background: rgba(0, 0, 0, 0.25);
    border-radius: 3px;
    width: 105px;
    position: absolute;
    top: 10px;
    left: 50%;
    transform: translate(-50%, -50%);
}
.ss-contact-overlay-quit {
    position: absolute;
    top: 8px;
    right: 8px;
    height: 25px;
    width: 25px;
    cursor: pointer;
    z-index: 6;
}

.ss-contact-overlay-items-cont {
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100%;
    justify-content: space-evenly;
}
.ss-contact-overlay-items-cont-agent {
    display: flex;
    align-items: center;
    margin-bottom: 15px;
    width: 100%;
    justify-content: flex-start;
}

.ss-contact-overlay-items-cont-img {
    height: 60px;
    min-height: 60px;
    width: 60px;
    min-width: 60px;
    border-radius: 50%;
    filter: drop-shadow(0px 10px 30px rgba(0, 0, 0, 0.3));
}

.ss-contact-overlay-items-cont-img > img {
    border-radius: 50%;
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.ss-contact-overlay-items-cont-txt > h4 {
    text-align: left;
    margin: 0;
    font-size: 18px;
    font-weight: 700;
    color: #fff;
    font-family: 'Montserrat', sans-serif;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 100%;
}

.ss-contact-overlay-items-cont-txt {
    margin-left: 15px;
    width: 100%;
    overflow: hidden;
}

.ss-contact-overlay-items-cont-txt > span {
    text-align: left;
    font-size: 12px;
    font-weight: 600;
    color: #ffffff99;
    display: block;
    margin-top: 5px;
    font-family: 'Montserrat', sans-serif;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 100%;
}
.ss-contact-overlay-items-cont-msg {
    font-size: 12px;
    font-weight: 500;
    color: rgba(255, 255, 255, 0.9);
    margin-bottom: 15px;
    width: 100%;
    justify-content: flex-start;
    font-family: 'Montserrat', sans-serif;
}

.ss-contact-overlay-items-container {
    padding: 18px 15px 15px 15px;
    border-radius: 6px;
    background: rgba(0, 0, 0, 0.2);
    display: flex;
    flex-direction: column;
    width: 100%;
}
.ss-cta-style {
    height: 100%;
    width: 100%;
}
.ss-contact-overlay-items-container > span.ss-contacts-heading {
    text-transform: uppercase;
    font-size: 12px;
    font-weight: 600;
    color: #fff;
    margin-bottom: 15px;
    font-family: 'Montserrat', sans-serif;
}

.ss-contact-overlay-items-container > span.ss-contacts-det {
    font-size: 12px;
    font-weight: 600;
    color: #ffffff80;
    margin-bottom: 15px;
    font-family: 'Montserrat', sans-serif;
}

.ss-contact-overlay-items-container > span.ss-contacts-hr {
    height: 1px;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.08);
    margin-bottom: 15px;
}

.ss-contact-overlay-items-cont-cta {
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: flex-start;
}

.ss-contact-overlay-items-book {
    margin-top: 15px;
    width: 100%;
    background-color: #000;
    color: #fff;
    text-align: center;
    text-transform: uppercase;
    padding: 16px 0;
    font-size: 12px;
    font-weight: 700;
    border-radius: 6px;
    cursor: pointer;
    font-family: 'Montserrat', sans-serif;
    text-decoration: none;
}

.ss-contact-overlay-weblink {
    margin-top: 15px;
    width: 100%;
    color: #fff;
    text-align: center;
    text-transform: uppercase;
    font-size: 12px;
    font-weight: 700;
    cursor: pointer;
    font-family: 'Montserrat', sans-serif;
    text-decoration: none;
    border: 1px solid #ffffff;
    box-sizing: border-box;
    filter: drop-shadow(0px 5px 10px rgba(0, 0, 0, 0.15));
    border-radius: 6px;
    height: 44px;
    max-height: 44px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.ss-cta-style-container {
    margin-right: 15px;
    height: 32px;
    width: 32px;
    border-radius: 50%;
    filter: drop-shadow(0px 10px 50px rgba(0, 0, 0, 0.25));
}
/* zIndex fixes for mobile */
.ss-controlContainer-close-map {
    z-index: '19999999' !important;
}
.ss-storeCont-container {
    z-index: '19999999' !important;
}
.ss-controlContainer-bg-mobile {
    z-index: '19999999' !important;
}

/* VFS */
.map-search-container-mobile {
    position: fixed;
    bottom: 50px;
    right: 0px;
    width: 100%;
    z-index: 10;
}
.map-search {
    margin-left: 20px;
    display: flex;
    align-items: center;
    border-bottom: 1px solid rgba(255, 255, 255, 0.66);
    padding: 15px 15px 10px 0px;
}
/* Map Filters PopUp */
.map-filters-popup {
    bottom: 28px;
    left: 0;
    position: absolute;
    backdrop-filter: blur(10px) saturate(150%);
    -webkit-backdrop-filter: blur(10px) saturate(150%);
    background-color: rgba(41, 40, 40, 0.71);
    border-radius: 6px;
    transition: all 0.2s ease-in-out;
}

/* typeform start */
@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}
.tf-v1-popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.75);
    transition: opacity 0.25s ease-in-out;
    z-index: 10001;
    display: flex;
    align-items: center;
    justify-content: center;
}
.tf-v1-popup .tf-v1-iframe-wrapper {
    position: relative;
    transition: opacity 0.25s ease-in-out;
    min-width: 360px;
    min-height: 360px;
}
.tf-v1-popup .tf-v1-iframe-wrapper iframe {
    width: 100%;
    height: 100%;
    border: none;
    overflow: hidden;
    border-radius: 8px;
}
.tf-v1-popup .tf-v1-close {
    position: absolute;
    font-size: 32px;
    line-height: 24px;
    width: 24px;
    height: 24px;
    text-align: center;
    cursor: pointer;
    opacity: 0.75;
    transition: opacity 0.25s ease-in-out;
    text-decoration: none;
    color: #000;
    top: -34px;
    right: 0;
}
.tf-v1-popup .tf-v1-close:hover {
    opacity: 1;
}
@media (min-width: 481px) {
    .tf-v1-popup .tf-v1-close {
        color: #fff !important;
    }
}
.tf-v1-popup .tf-v1-spinner {
    border: 3px solid #aaa;
    font-size: 40px;
    width: 1em;
    height: 1em;
    border-radius: 0.5em;
    box-sizing: border-box;
    animation: spin 1s linear infinite;
    border-top-color: #fff;
    position: absolute;
    top: 50%;
    left: 50%;
    margin: -20px 0 0 -20px;
}
@media (max-width: 480px) {
    .tf-v1-popup {
        width: 100% !important;
        height: 100% !important;
        width: 100vw !important;
        height: 100vh !important;
        max-height: -webkit-fill-available;
        max-height: -moz-fill-available;
    }
    .tf-v1-popup .tf-v1-iframe-wrapper {
        position: relative;
        transition: opacity 0.25s ease-in-out;
        min-width: 100%;
        min-height: 100%;
    }
    .tf-v1-popup .tf-v1-iframe-wrapper iframe {
        border-radius: 0;
    }
    .tf-v1-popup .tf-v1-close {
        position: absolute;
        font-size: 32px;
        line-height: 24px;
        width: 24px;
        height: 24px;
        text-align: center;
        cursor: pointer;
        opacity: 0.75;
        transition: opacity 0.25s ease-in-out;
        text-decoration: none;
        color: #000;
        top: 6px;
        right: 8px;
    }
    .tf-v1-popup .tf-v1-close:hover {
        opacity: 1;
    }
}
@media (max-width: 480px) and (min-width: 481px) {
    .tf-v1-popup .tf-v1-close {
        color: #fff !important;
    }
}
/* typeform end */

/* remove wishlist start */
.ss-remove-popup-container-mobile {
    padding: 30px !important;
    background: rgba(255, 255, 255, 0.04) !important;
    box-shadow: 0px -10px 30px rgba(0, 0, 0, 0.1) !important;
    backdrop-filter: blur(40px) !important;
    -webkit-backdrop-filter: blur(40px) !important;
    border-radius: 12px !important;
    z-index: 99999 !important;
    width: 100% !important;
}

.ss-remove-popup-heading {
    font-weight: 700 !important;
    font-size: 16px !important;
    color: #fff !important;
    text-align: center !important;
    font-family: 'Montserrat', sans-serif !important;
}

.ss-remove-popup-desc {
    font-weight: 600 !important;
    font-size: 12px !important;
    line-height: 16px !important;
    color: rgba(255, 255, 255, 0.72) !important;
    margin: 10px 0 30px 0 !important;
    text-align: center !important;
    font-family: 'Montserrat', sans-serif !important;
}

.ss-remove-popup-btn-container {
    display: flex !important;
    justify-content: space-between !important;
    align-items: center !important;
}

.ss-remove-btn {
    width: 132px !important;
    height: 48px !important;
    text-transform: uppercase !important;
    color: #fff !important;
    font-weight: 700 !important;
    font-size: 12px !important;
    box-sizing: border-box !important;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    border-radius: 6px !important;
    cursor: pointer !important;
    font-family: 'Montserrat', sans-serif !important;
}

.ss-remove-nope {
    background-color: #000 !important;
    box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.15) !important;
}

.ss-remove-remove {
    background-color: transparent !important;
    border: 1px solid #fff !important;
}

/* remove wishlist end */
